aboutsummaryrefslogtreecommitdiffstats
path: root/bin/kernel/mkbootimg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/kernel/mkbootimg.sh')
-rw-r--r--bin/kernel/mkbootimg.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/kernel/mkbootimg.sh b/bin/kernel/mkbootimg.sh
new file mode 100644
index 0000000..0649b08
--- /dev/null
+++ b/bin/kernel/mkbootimg.sh
@@ -0,0 +1,8 @@
+#!/sbin/sh
+echo \#!/sbin/sh > /tmp/createnewboot.sh
+PAGESIZE_HEX=`cat /tmp/boot.img-pagesize`
+PAGESIZE_DEC=`printf "%d" 0x$PAGESIZE_HEX`
+echo /tmp/mkbootimg --kernel /tmp/zImage --ramdisk /tmp/boot.img-ramdisk.gz --cmdline \"$(cat /tmp/boot.img-cmdline)\" --base $(cat /tmp/boot.img-base) --pagesize $PAGESIZE_DEC --output /tmp/newboot.img >> /tmp/createnewboot.sh
+chmod 777 /tmp/createnewboot.sh
+/tmp/createnewboot.sh
+return $?